跳轉到主要內容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
traders
/
{tag}
Token - Get Token Traders
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/traders/{tag} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/traders/{tag}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/traders/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "address": "MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2",
      "blockTimestamp": "2025-01-15T10:30:00.000Z",
      "onchainCreatedAt": "2025-01-15T10:30:00.000Z",
      "percentileRankTradeAmountInUsd": "0.98",
      "percentileRankTradeCount": 95,
      "rankTradeAmountInUsd": "0.95",
      "tradeAmountInNative": "1500.50",
      "tradeAmountInUsd": "45000.00",
      "tradeCount": 42,
      "transactionSignature": "5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz..."
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用選項:
sol,
eth,
bsc
tokenAddress
string
必填

An address of a token

tag
enum<string>
必填

Token trader tag

可用選項:
fresh,
sandwish,
bundle,
sniper,
dev,
pro,
insider,
kol,
bluechip,
smart

查詢參數

cursor
string

Pagination cursor

limit
integer<int64>
預設值:20

Number of results per page

direction
enum<string>
預設值:next

Pagination direction

可用選項:
next,
prev

回應

200 - application/json

Get Token Traders

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

範例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

範例:

false

hasPrev
boolean

Whether there is a previous page

範例:

false

startCursor
string | null

Cursor for the start of current page

範例:

"eyJpZCI6InN0YXJ0In0="